<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

	if (stristr(htmlentities($_SERVER['PHP_SELF']), "block_forum_lateral.php")) {
		die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
	}
	
	require_once("pages/forum/inc_functions.php");

	global $dblink,$siteConfig;
	
	$myrank = $myRank();
	
	$result = $dblink->get_list("SELECT p.id,p.lastchild,p.name,DATE_FORMAT(d.date,'".$siteConfig['timestamp']."') as date,d.author,(SELECT COUNT(*) FROM memht_forum_posts WHERE id=p.id OR parent=p.id) AS pstnum FROM memht_forum_posts AS p JOIN memht_forum_forums AS f JOIN memht_forum_posts AS d ON p.forum=f.id AND p.lastchild=d.id WHERE f.auth_view<=$myrank AND f.auth_read<=$myrank ORDER BY p.lastchild DESC LIMIT 20");
	foreach ($result as $row) {
		$bid = intval($row['id']);
		$blastchild = intval($row['lastchild']);
		$btitle = outCode($row['name'],0);
		$bdate = $row['date'];
		$bauthor = outCode($row['author']);
		$pstnum = intval($row['pstnum']);
		
		$link = "index.php?page=forum&op=viewThread&id=$bid&title=".mem_urlencode($btitle);
		if ($pstnum>10) { $link .= "&pg=".ceil($pstnum/10); }
		if ($bid!=$blastchild) { $link .= "#post{$blastchild}"; }
		
		echo "<div class='block_linkstyle'><a href='$link' title='$btitle'>$btitle</a></div>\n";
	}

?>